Opened 4 years ago

Last modified 3 years ago

#17 new defect

Cannot import Epson Workforce 645 PPD

Reported by: REXX Owned by: bart
Priority: major Milestone:
Component: Portdriver Version:
Severity: highest Keywords:
Cc:

Description

I am trying to import a *.PPD file for an Epson Workforce 645 into the ECups.drv driver. I am using the "Add Printer Drivers" tool (InstPDR.EXE, newest from Memsys BetaZone?) and a "cleaned" *.PPD file from the printer installation, using the CUPS web interface. I removed the various language dependent features (*cs, *da, for example) from the *.PPD. Attempts to import it fail with an exception error.

Can you help me with this problem? Attached please find the cleaned *.PPD file and the PDINST* files. Thank you.

Attachments (3)

EPSON_WorkForce_645.ppd (135.9 KB) - added by REXX 4 years ago.
PDINST.L1 (706 bytes) - added by REXX 4 years ago.
PDINST.L2 (43.0 KB) - added by REXX 4 years ago.

Download all attachments as: .zip

Change History (6)

Changed 4 years ago by REXX

Changed 4 years ago by REXX

Changed 4 years ago by REXX

comment:1 Changed 4 years ago by ataylor

  • Severity set to highest

The PPD you attached is pretty large. Is this the one you are trying to import? I'm not really surprised PIN chokes on it.

In general, I don't recommend using InstPDR to import CUPS PPDs - it's better to use the CUPSGUI/CUPS Wizard utility instead. However, I'm not sure that would help in your case, since it seems to be PIN that's blowing up.

You might try using the Workforce 630 driver, which should already be included in CUPS.

Last edited 4 years ago by ataylor (previous) (diff)

comment:2 Changed 4 years ago by REXX

Hello, The PPD file is a very much stripped down version of the Workforce 645 PPD file from CUPS. I used the PAKTOOL to obtain the file from the CUPS import. I then used Alex Taylor's suggestions to delete all lines that begin with "*da.", "de.", etc. The import attempt still failed.

The Workforce 630 driver is not in E-CUP. Only the the 500 and 600 drivers are there. I'm using the latest E-CUP from the NetLabs? website (basically, cups-base-1_4_8_3.wpi and ecups-pdr-20090324.wpi).

comment:3 Changed 3 years ago by ataylor

The 630 driver is included in the Gutenprint package, or should be (I've used it on different systems myself, so it's definitely in there somewhere).

Sorry for the delay, haven't been getting notifications from trac.

Last edited 3 years ago by ataylor (previous) (diff)
Note: See TracTickets for help on using tickets.